"use strict";

var userOS = null;
var osURLs = {
  'iOS': 'https://apps.apple.com/us/app/u-s-cellular-my-account/id1228669675',
  'Android': 'https://play.app.goo.gl/?link=https://play.google.com/store/apps/details?id=com.uscc.myaccount'
};

function getOS() {
  var userAgent = window.navigator.userAgent,
      platform = window.navigator.platform,
      iosPlatforms = ['iPhone', 'iPad', 'iPod'];
  console.log(userAgent);

  if (iosPlatforms.indexOf(platform) !== -1) {
    userOS = 'iOS';
  } else if (/Android/.test(userAgent)) {
    userOS = 'Android';
  }

  console.log(userOS);
  return userOS;
}

function linkTracking(OS) {
  gtag('event', OS, {
    'event_category': 'app store - click'
  });
}